Package com.xebialabs.xlrelease.domain.distributed.events

# Class DistributedReleaseExecutedEvent$

java.lang.Object
scala.runtime.AbstractFunction1<String,DistributedReleaseExecutedEvent>
com.xebialabs.xlrelease.domain.distributed.events.DistributedReleaseExecutedEvent$

All Implemented Interfaces:
  `Serializable`, `scala.Function1<String,DistributedReleaseExecutedEvent>`

public class DistributedReleaseExecutedEvent$ extends scala.runtime.AbstractFunction1<String,DistributedReleaseExecutedEvent> implements Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface scala.Function1

  `scala.Function1.UnliftOps<A extends Object,B extends Object>, scala.Function1.UnliftOps$`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final DistributedReleaseExecutedEvent$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DistributedReleaseExecutedEvent$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DistributedReleaseExecutedEvent`
  `apply(String releaseId)`
  `final String`
  `toString()`
  `scala.Option<String>`
  `unapply(DistributedReleaseExecutedEvent x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction1

  `andThen, apply$mcDD$sp, apply$mcDF$sp, apply$mcDI$sp, apply$mcDJ$sp, apply$mcFD$sp, apply$mcFF$sp, apply$mcFI$sp, apply$mcFJ$sp, apply$mcID$sp, apply$mcIF$sp, apply$mcII$sp, apply$mcIJ$sp, apply$mcJD$sp, apply$mcJF$sp, apply$mcJI$sp, apply$mcJJ$sp, apply$mcVD$sp, apply$mcVF$sp, apply$mcVI$sp, apply$mcVJ$sp, apply$mcZD$sp, apply$mcZF$sp, apply$mcZI$sp, apply$mcZJ$sp, compose`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final DistributedReleaseExecutedEvent$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### DistributedReleaseExecutedEvent$

    public DistributedReleaseExecutedEvent$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function1<String,DistributedReleaseExecutedEvent>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction1<String,DistributedReleaseExecutedEvent>`

  - ### apply

    public DistributedReleaseExecutedEvent apply(String releaseId)
    Specified by:
      `apply` in interface `scala.Function1<String,DistributedReleaseExecutedEvent>`

  - ### unapply

    public scala.Option<String> unapply(DistributedReleaseExecutedEvent x$0)